Subject: bug#78305: closed (Re: bug#78305: [PATCH] Add a new user option to hide the header of old feeds in newsticker)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Jul 2025 09:03:03 +0000

Your bug report

#78305: [PATCH] Add a new user option to hide the header of old feeds in newsticker

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78305: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78305
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78305: [PATCH] Add a new user option to hide the header of old feeds in newsticker
From: Eli Zaretskii <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 26 Jul 2025 12:02:23 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], [email-masked]
> Date: Thu, 17 Jul 2025 08:43:16 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Ulf Jasper <[email-masked]>
> > Cc: Baptiste Strazzulla <[email-masked]>,
> >   [email-masked],  [email-masked]
> > Date: Wed, 16 Jul 2025 11:18:20 +0200
> > 
> > Am 29.06.2025 um 19:31 (+0200) schrieb Ulf Jasper:
> > > Am 28.06.2025 um 11:51 (+0300) schrieb Eli Zaretskii:
> > >> Ping!  Ulf, are these patches okay to install?
> > > I am on vacation right now.  Will look at the patches in two weeks or
> > > so.  Sorry!
> > 
> > Patches are OK to install.
> 
> Thanks.
> 
> Baptiste, we are therefore waiting for your copyright-assignment
> paperwork to complete.  What is its status, as of now?

Now installed on the master branch, and closing the bug.

Baptiste, please in the future avoid using Markdown-style quoting in
commit log messages, as our commit hooks reject such commits.  (This
time, I needed to manually tweak your patch to avoid the problem.)

Thanks.

Subject: [PATCH] Add a new user option to hide the header of old feeds in newsticker
From: Baptiste Strazzulla <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 07 May 2025 22:48:19 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

Here is a patch to hide the header of feeds without any new or immortal items in the plainview newsticker buffer. My use-case is that I'm subscribed to a lot of low-key feeds that are not updated often, so most of the time, the visible part of a fresh plainview buffer is just a list of empty feeds. This patch adds a new user option `newsticker-hide-old-feed-header-in-newsticker-buffer` which when set to `true` hides them, only leaving feeds with new items visible.

What do you think?

Regards,
Baptiste Strazzulla